Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class ExpKernelDensityGen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.KernelDensityGen
              umontreal.iro.lecuyer.randvar.ExpKernelDensityGen

    public class ExpKernelDensityGen

extends KernelDensityGen

Exponential kernel density random variate generator. This random variate generator uses the empirical distribution of log-service times to generate service times. It uses a gaussian kernel with positive reflection and applies the exponential function on every generated variate.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.randvar.KernelDensityGen
`bandwidth, kernelGen, positive`

Fields inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`dist, stream`

Constructor Summary
`ExpKernelDensityGen(RandomStream stream, EmpiricalDist dist)` Constructs a new exponential kernel density generator from the empirical distribution `dist` and the random stream `stream`.

Method Summary
`double` | `nextDouble()`

Methods inherited from class umontreal.iro.lecuyer.randvar.KernelDensityGen
`getBaseBandwidth, setBandwidth, setPositiveReflection`

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getDistribution, getStream, nextArrayOfDouble, setStream, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpKernelDensityGen

    public ExpKernelDensityGen(RandomStream stream,
                               EmpiricalDist dist)

  Constructs a new exponential kernel density generator from the empirical distribution `dist` and the random stream `stream`. This constructor calls the `KernelDensityGen.setPositiveReflection(boolean)` public method.

  Parameters:
    `stream` - the random number stream to generate the uniforms.
    `dist` - the empirical distribution for the log-service times.

Method Detail

### nextDouble

    public double nextDouble()

  Overrides:
    `nextDouble` in class `KernelDensityGen`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.